> For the complete documentation index, see [llms.txt](https://vinay-chaudhary.gitbook.io/email-validation-api-v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://vinay-chaudhary.gitbook.io/email-validation-api-v1/reference/api-reference/code-examples.md).

# Code Examples

{% hint style="info" %}
Note: Easily Integrate EML-v1 API with All Other Languages
{% endhint %}

#### Code Examples:

{% code title="Python" %}

```python
import requests

url = "https://api.regem.in/verify-email/v1/?email=youremail@mail.com"

payload={}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endcode %}

{% code title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.regem.in/verify-email/v1/?email=youremail@mail.com',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endcode %}

{% code title="NodeJs- Axios" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://api.regem.in/verify-email/v1/?email=youremail@mail.com',
  headers: { }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endcode %}

{% code title="Javascript - JQuery " %}

```javascript
var settings = {
  "url": "https://api.regem.in/verify-email/v1/?email=youremail@mail.com",
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endcode %}

{% code title="cURL" %}

```url
curl --location --request GET 'https://api.regem.in/verify-email/v1/?email=youremail@mail.com'
```

{% endcode %}
